| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::bioinspired::RetinaParameters::OPLandIplParvoParameters Struct Reference

Outer Plexiform Layer (OPL) and Inner Plexiform Layer Parvocellular (IplParvo) parameters. More...

`#include <opencv2/bioinspired/retina.hpp>`

Collaboration diagram for cv::bioinspired::RetinaParameters::OPLandIplParvoParameters:

## Public Member Functions
| OPLandIplParvoParameters ()

## Public Attributes
bool | colorMode
float | ganglionCellsSensitivity
float | hcellsSpatialConstant
float | hcellsTemporalConstant
float | horizontalCellsGain
bool | normaliseOutput
float | photoreceptorsLocalAdaptationSensitivity
float | photoreceptorsSpatialConstant
float | photoreceptorsTemporalConstant

## Detailed Description

Outer Plexiform Layer (OPL) and Inner Plexiform Layer Parvocellular (IplParvo) parameters.

## Constructor & Destructor Documentation

## ◆ OPLandIplParvoParameters()

cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::OPLandIplParvoParameters | ( |  | ) |
| inline

## Member Data Documentation

## ◆ colorMode

bool cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::colorMode

## ◆ ganglionCellsSensitivity

float cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::ganglionCellsSensitivity

## ◆ hcellsSpatialConstant

float cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::hcellsSpatialConstant

## ◆ hcellsTemporalConstant

float cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::hcellsTemporalConstant

## ◆ horizontalCellsGain

float cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::horizontalCellsGain

## ◆ normaliseOutput

bool cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::normaliseOutput

## ◆ photoreceptorsLocalAdaptationSensitivity

float cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::photoreceptorsLocalAdaptationSensitivity

## ◆ photoreceptorsSpatialConstant

float cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::photoreceptorsSpatialConstant

## ◆ photoreceptorsTemporalConstant

float cv::bioinspired::RetinaParameters::OPLandIplParvoParameters::photoreceptorsTemporalConstant

The documentation for this struct was generated from the following file:

- opencv2/bioinspired/retina.hpp